Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.messaging
Class DatagramMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.socket.messaging.SocketMessage
                  rice.pastry.socket.messaging.DatagramMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

Direct Known Subclasses:
  IPAddressRequestMessage, IPAddressResponseMessage, PingMessage, PingResponseMessage, WrongEpochMessage

    public abstract class DatagramMessage

extends SocketMessage

Class which represents a "ping" message sent through the socket pastry system.

Version:
  $Id: DatagramMessage.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected long` | `start`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`protected` | `DatagramMessage(InputBuffer buf)`
`` | `DatagramMessage(long start)` Constructor

Method Summary
`long` | `getStartTime()`
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.rawserialization.RawMessage
`getType`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### start

    protected long start

Constructor Detail

### DatagramMessage

    public DatagramMessage(long start)

  Constructor

### DatagramMessage

    protected DatagramMessage(InputBuffer buf)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getStartTime

    public long getStartTime()

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.